{% extends "layout.html" %}
{% from "form-macro.html" import form_macro %}

{% block title %}
    <a href="/events">Events</a>
    <a href="#" >{{ event.title }}</a>
{% endblock%}

{% block bare_body %}
    <div class="company company-banner" style="{{ 'background-color: ' + 'black' + '; color: ' + 'white' + ';'}}">
        <div class="company-header container large" >
                {% if event.image_file %}
                    <img class="logo" src="{{ event.image_file }}">
                {% endif %}
                <div class="name">{{ event.title }}</div>
            </div>
            
            <div class="company-info container">
                {% for column in [
                    [
                        ('description', 'Info'),
                    ],
                    [
                        ('event_time', 'Date and time'),
                        ('registration_deadline', 'Registration deadline'),
                    ], 
                    [
                        ('cost', 'Cost in Bux'),
                        ('address', 'Location'),
                    ]
            ] %}
            <div>
                {% for prop, name in column %}
                {% if event[prop] != null and event[prop] is not none and event[prop] != '' %}
                <div class="rows1">
                    <strong>{{name}}:</strong> {{event[prop]|localtime if prop=="event_time" or prop=="registration_deadline" else (event[prop]|unsafe_markdown|safe if prop=="description" else event[prop]) }}
                </div>
                {% endif %}
                {% endfor %}
            </div>
            {% endfor %}
        </div>
    </div>    



    <div class="main container">
        {% for message in get_flashed_messages() %}
        <article class="notification is-important">
            {{ message | inline_markdown | safe}}
        </article>
        {% endfor %}

        <table>
            {% if not current_user.group_id %}
            <tr><th>City</th><td>{{ {"e": "Enschede", "d": "Deventer"}[event.city_code]}}</td></tr>
            {% endif %}
            <tr><th>Spots available</th><td>{{event.available_spots}} / {{event.spots}}</td></tr>
            <tr><th>Registrations</th><td class="rows1">
                {% if event.registrations|length > 0 %}
                    <div class="people-cards">
                        {% for registration in event.registrations %}
                        <div class="person" style='background-image: linear-gradient(to bottom, rgba(0,0,0,0.4), rgba(0,0,0,0)), url({{ registration.student.avatar }})'>
                            <h3>
                                {{ registration.student.first_name }}
                            </h3>
                        </div>
                        {% endfor %}
                    </div>
                {% else %}
                    <p>Be the first!</p>
                {% endif %}

                {% if event.registration_deadline <= now %}
                    <p>Registration is closed.</p>
                {% elif not event.available_spots %}
                    <p>No spots available.</p>
                {% elif event.is_user_registered(current_user) %}
                    <p>Awesome! We're counting on you!</p>                
                {% else %}
                    <form method="post">
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
                        <input type="submit" name="event_register" value="Register!">
                    </form>
                {% endif %}
            </td></tr>
        </table>

        {% if current_user.is_teacher %}
        <h1>Admin</h1>

        <div class="buttons">
            <a role="button" href="{{ url_for('edit_event', event_id=event.id)}}">
                Edit event
            </a>
            <form method="post" action="{{ url_for('delete_event', event_id=event.id)}}">
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
                <input type="submit" value="Delete event">
            </form>
        </div>
        {% endif %}
    </div>
{% endblock %}
